ZIP_ERROR_GET(3)

NAME
zip_error_get , - .Nm zip_file_error_get get error codes for archive or file

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

void zip_error_get(struct zip *archive, int *zep, int *sep);

void zip_file_error_get(struct zip_file *file, int *zep, int *sep);

DESCRIPTION
The zip_error_get function returns the error codes for the zip archive archive. If zep is not NULL, *zep will be filled in with the error code from libzip. Similarly, *sep will contain the corresponding system error code, if sep is not NULL; use zip_error_get_sys_type to determine the type of system error code.

The zip_file_error_get function does the same for the zip file file.

SEE ALSO
libzip(3), zip_error_clear(3), zip_error_get_sys_type(3), zip_error_to_str(3)

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>